Subject: Syntax of atom:link/@length

From: "Brian Smith" <[email-masked]>
Date: Tue, 24 Jun 2008 19:47:28 -0500

What is the grammar for atom:link/@length? Is it 1*DIGIT with no leading or
trailing white space? Is it xsd:nonNegativeInteger (which allows a leading
"+", leading whitespace, and/or trailing whitespace, as well as negative
zero)?

I would like to submit an errata to RFC 4287 saying that the syntax is
1*DIGIT, where DIGIT is any ASCII digit "0".."9", with no leading or
trailing whitespace. Any objections?

Regards,
Brian